// Module Name: menu.h
// Author:      Stephen Manley (smanley@nyx.net)
//
// Description:
// 
// This method implements a color menu for the mazemaker class. It
// allows the user to select a active color that can then be used
// to draw on the grid with.
// 
////////////////////////////////////////////////////////////////////////////


#ifndef COLORMENU
#define COLORMENU
#include "iostream.h"

#ifndef TILE
#include "square.h"
#endif

class ColorMenu
{
    public:

       // Constructors & Destructors
	   ColorMenu(int x, int y);
       ColorMenu();
       ~ColorMenu();

       // Draws the menu 
       void draw();

       // Determines if the menu contains a point
       int containsPoint(double worldX, double worldY);

       // Gets the drawing color
       void getActiveColor(double &r, double &g, double &b);

       // Sets the drawing color 			
       void setActiveColor(double r, double g, double b);			

    private:

	   int xSize;
	   int ySize;
	   int xCenter;
	   int yCenter;

       Tile* color1;
       Tile* color2;
       Tile* color3;
       Tile* color4;

	   double rActive, gActive, bActive;	
};
#endif
