// Module Name: tile.h
// Author:      Stephen Manley (smanley@nyx.net)
//
// Description:
// 
// This class represents a rectangular, clickable area. It is used to
// define a 2D region of the screen with some properties such as color
// and location.
// 
////////////////////////////////////////////////////////////////////////////

#ifndef TILE
#define TILE

#include "iostream.h"
#include "GL/gl.h"

class Tile
{
   public:

       // Constructors & Destructors
       Tile();
       ~Tile();
       Tile(int x, int y, double size, double r, double g, double b);

       // Toggle shaded (default off)
       void setShaded(int value);

       // Draws the tile
       void draw();

       // Determines if the tile contains a point
       int containsPoint(double x, double y);

       // Sets the drawing color for the tile
       void setTileColor(double r, double g, double b);

       // Gets the drawing color for the tile
       void getTileColor(double &r, double &g, double &b);
      
   private:

       int shaded;
       double rTile, gTile, bTile;
       double tilesize;
       double xOrigin, yOrigin;
};
#endif
